## javax.servlet
Interface WriteListener

All Superinterfaces:
  java.util.EventListener

    public interface WriteListener

extends java.util.EventListener

Callback notification mechanism that signals to the developer it's possible to write content.

Since:
  Servlet 3.1

Method Summary
`void` `onError(java.lang.Throwable t)` Invoked when an error occurs processing the request asynchronously.
`void` `onWritePossible(ServletResponse response)` This callback will be invoked when data can be written.

Method Detail

### onWritePossible

    void onWritePossible(ServletResponse response)

  This callback will be invoked when data can be written.

  Throws:
    `Exception,` - `Exception` might be thrown by the custom handler code. This exception will be delegated for processing to `onError(java.lang.Throwable)`.

### onError

    void onError(java.lang.Throwable t)

  Invoked when an error occurs processing the request asynchronously.

Copyright © 2012 GlassFish Community. All Rights Reserved.